+++
draft = false
type = "blog"
image = "/blog_img/2018-10-23/genova.jpg"
thumbImage = "/blog_img/2018-10-23/poster_NETTAB_A1-thumb.png"
date = "2018-10-23"
title = "scOrange representing the FAIR principles in bioinformatics"
hardLineBreak = true 
categories = ["conference", "FAIR", "reproducibility"]
joinLines = false
author = "Martin Stražar"
shortExcerpt = "scOrange's away trip to Genova." 
longExcerpt = "scOrange's away trip to Genova." 
+++

This week, scOrange was featured on the <a
href="http://www.igst.it/nettab/2018/">Nettab 2018</a> conference on
implementing the FAIR principles in bioinformatics, hosted by the charming city
of Genova. The contemporary reproducibility crisis in science in general has
led to many initiatives to raise standards in data sharing and management.
<b>F</b>indability, <b>a</b>ccessibility, <b>i</b>nteroperability, and
<b>r</b>eusability (FAIR) is an instance of such an initiative (Wilkinson
et. al, 2016).

Our software demo and poster attracted many interested researchers, interested
in applying scOrange to single-cell RNA-seq data, networks, but also extend the
basic Orange widgets infrastructure to their own need.  We are proud to report
that scOrange generally follows the FAIR principles, enabling unambiguous
sharing of both data and associated workflows, that can be attached <i>as
is</i> to the resulting studies.

{{% figure src="/blog_img/2018-10-23/poster-filter.jpg" width="95%" height="95%" %}}
\
\

For more details, see the links to our <a href="/blog_img/2018-10-23/poster_NETTAB_A1.pdf">poster</a> and <a
href="/blog_img/2018-10-23/scOrange-nettab2018-paper.pdf">short paper</a>!


*References*

Wilkinson, Mark D., et al. "The FAIR Guiding Principles for scientific data management and stewardship." Scientific data 3 (2016).
