+++
title = "License"
url = "/license/"
hardLineBreak = true 
joinLines = false
+++

Orange is a comprehensive, component-based software suite for machine
learning and data mining, developed at Bioinformatics Laboratory,
Faculty of Computer and Information Science, University of Ljubljana,
Slovenia, together with open source community.

Orange is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free
Software Foundation; either version 3.0 of the License, or (at your
option) any later version.

Orange is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
for more details.

Orange documentation, content on its website and other non-code content
are all available under Creative Commons Attribution-ShareAlike
license unless specified otherwise. Attribution should be made
to Orange, Data Mining Fruitful & Fun, with a link to its website {{< link_new url="http://orange.biolab.si/" name="http://orange.biolab.si/">}}.

Orange Widgets and Canvas are based on Qt, which is distributed under
GPL 3.0 (as well as LGPL 2.1, see {{< link_new url="http://qt.nokia.com/products/licensing" name="http://qt.nokia.com/products/licensing">}}.

Random numbers in Orange are computed with Shaw Cookus' implementation
of Mersenne twister. CRC 32 is computed by the code published at
({{< link_new url="http://www.createwindow.com/programming/crc32/" name="http://www.createwindow.com/programming/crc32/">}})
by Richard A. Ellingson.

Orange contains libsvm, liblinear and qhull, which are distributed under
the following copyright notices:


	---- (libsvm copyright) ----------

	Copyright (c) 2000-2005 Chih-Chung Chang and Chih-Jen Lin
	All rights reserved.

	Redistribution and use in source and binary forms, with or without
	modification, are permitted provided that the following conditions
	are met:

	1. Redistributions of source code must retain the above copyright
	notice, this list of conditions and the following disclaimer.

	2. Redistributions in binary form must reproduce the above copyright
	notice, this list of conditions and the following disclaimer in the
	documentation and/or other materials provided with the distribution.

	3. Neither name of copyright holders nor the names of its contributors
	may be used to endorse or promote products derived from this software
	without specific prior written permission.

	THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
	``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
	LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
	A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR
	CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
	EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
	PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
	PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
	LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
	NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
	SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

	---- (end libsvm copyright) -----

\

	---- (liblinear copyright) ----------

	Copyright (c) 2007-2009 The LIBLINEAR Project.
	All rights reserved.

	Redistribution and use in source and binary forms, with or without
	modification, are permitted provided that the following conditions
	are met:

	1. Redistributions of source code must retain the above copyright
	notice, this list of conditions and the following disclaimer.

	2. Redistributions in binary form must reproduce the above copyright
	notice, this list of conditions and the following disclaimer in the
	documentation and/or other materials provided with the distribution.

	3. Neither name of copyright holders nor the names of its contributors
	may be used to endorse or promote products derived from this software
	without specific prior written permission.

	THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
	``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
	LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
	A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR
	CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
	EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
	PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
	PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
	LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
	NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
	SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

	---- (end liblinear copyright) -----

\

	---- (qhull copyright) ----------

	Qhull, Copyright (c) 1993-2003

	The National Science and Technology Research Center for
	Computation and Visualization of Geometric Structures
	(The Geometry Center)
	University of Minnesota

	email: qhull@qhull.org

	This software includes Qhull from The Geometry Center.  Qhull is
	copyrighted as noted above.  Qhull is free software and may be obtained
	via http from www.qhull.org.  It may be freely copied, modified,
	and redistributed under the following conditions:

	1. All copyright notices must remain intact in all files.

	2. A copy of this text file must be distributed along with any copies
	of Qhull that you redistribute; this includes copies that you have
	modified, or copies of programs or other software products that
	include Qhull.

	3. If you modify Qhull, you must include a notice giving the
	name of the person performing the modification, the date of
	modification, and the reason for such modification.

	4. When distributing modified versions of Qhull, or other software
	products that include Qhull, you must provide notice that the original
	source code may be obtained as noted above.

	5. There is no warranty or other guarantee of fitness for Qhull, it is
	provided solely "as is".  Bug reports or fixes may be sent to
	qhull_bug@qhull.org; the authors may or may not act on them as
	they desire.

	---- (end qhull copyright) -----


Orange add-ons may have additional licensing requirements. Please, see their respective license files.

If you want to cite Orange or give it an attribution, you can find more information {{< link_new url="/citation/" name="here">}}.
                    
